
; ! ! ! 
; Damn ! Because of masm buggy behaviour I have to change the strings,
; otherwise masm defines not the string but the value.
; I cheat here a bit :) Since it's casesensitive I've just change the very first letter to lower case.
; While processing I restore it back to upper case. The strings are all in .data section
; so we can write without copying.
; ! ! ! 

; ntddkbd (w2k)

MNEMONIC	{IOCTL_KEYBOARD_QUERY_ATTRIBUTES,			$TA0("iOCTL_KEYBOARD_QUERY_ATTRIBUTES")}
MNEMONIC	{IOCTL_KEYBOARD_SET_TYPEMATIC,				$TA0("iOCTL_KEYBOARD_SET_TYPEMATIC")}
MNEMONIC	{IOCTL_KEYBOARD_SET_INDICATORS,				$TA0("iOCTL_KEYBOARD_SET_INDICATORS")}
MNEMONIC	{IOCTL_KEYBOARD_QUERY_TYPEMATIC,			$TA0("iOCTL_KEYBOARD_QUERY_TYPEMATIC")}
MNEMONIC	{IOCTL_KEYBOARD_QUERY_INDICATORS,			$TA0("iOCTL_KEYBOARD_QUERY_INDICATORS")}
MNEMONIC	{IOCTL_KEYBOARD_QUERY_INDICATOR_TRANSLATION,$TA0("iOCTL_KEYBOARD_QUERY_INDICATOR_TRANSLATION")}
MNEMONIC	{IOCTL_KEYBOARD_INSERT_DATA,				$TA0("iOCTL_KEYBOARD_INSERT_DATA")}

MNEMONIC	{IOCTL_KEYBOARD_QUERY_IME_STATUS,			$TA0("iOCTL_KEYBOARD_QUERY_IME_STATUS")}
MNEMONIC	{IOCTL_KEYBOARD_SET_IME_STATUS,				$TA0("iOCTL_KEYBOARD_SET_IME_STATUS")}

; ntddser (w2k)

MNEMONIC	{IOCTL_SERIAL_SET_BAUD_RATE,				$TA0("iOCTL_SERIAL_SET_BAUD_RATE")}
MNEMONIC	{IOCTL_SERIAL_SET_QUEUE_SIZE,				$TA0("iOCTL_SERIAL_SET_QUEUE_SIZE")}
MNEMONIC	{IOCTL_SERIAL_SET_LINE_CONTROL,				$TA0("iOCTL_SERIAL_SET_LINE_CONTROL")}
MNEMONIC	{IOCTL_SERIAL_SET_BREAK_ON,					$TA0("iOCTL_SERIAL_SET_BREAK_ON")}
MNEMONIC	{IOCTL_SERIAL_SET_BREAK_OFF,				$TA0("iOCTL_SERIAL_SET_BREAK_OFF")}
MNEMONIC	{IOCTL_SERIAL_IMMEDIATE_CHAR,				$TA0("iOCTL_SERIAL_IMMEDIATE_CHAR")}
MNEMONIC	{IOCTL_SERIAL_SET_TIMEOUTS,					$TA0("iOCTL_SERIAL_SET_TIMEOUTS")}
MNEMONIC	{IOCTL_SERIAL_GET_TIMEOUTS,					$TA0("iOCTL_SERIAL_GET_TIMEOUTS")}
MNEMONIC	{IOCTL_SERIAL_SET_DTR,						$TA0("iOCTL_SERIAL_SET_DTR")}
MNEMONIC	{IOCTL_SERIAL_CLR_DTR,						$TA0("iOCTL_SERIAL_CLR_DTR")}
MNEMONIC	{IOCTL_SERIAL_RESET_DEVICE,					$TA0("iOCTL_SERIAL_RESET_DEVICE")}
MNEMONIC	{IOCTL_SERIAL_SET_RTS,						$TA0("iOCTL_SERIAL_SET_RTS")}
MNEMONIC	{IOCTL_SERIAL_CLR_RTS,						$TA0("iOCTL_SERIAL_CLR_RTS")}
MNEMONIC	{IOCTL_SERIAL_SET_XOFF,						$TA0("iOCTL_SERIAL_SET_XOFF")}
MNEMONIC	{IOCTL_SERIAL_SET_XON,						$TA0("iOCTL_SERIAL_SET_XON")}
MNEMONIC	{IOCTL_SERIAL_GET_WAIT_MASK,				$TA0("iOCTL_SERIAL_GET_WAIT_MASK")}
MNEMONIC	{IOCTL_SERIAL_SET_WAIT_MASK,				$TA0("iOCTL_SERIAL_SET_WAIT_MASK")}
MNEMONIC	{IOCTL_SERIAL_WAIT_ON_MASK,					$TA0("iOCTL_SERIAL_WAIT_ON_MASK")}
MNEMONIC	{IOCTL_SERIAL_PURGE,						$TA0("iOCTL_SERIAL_PURGE")}
MNEMONIC	{IOCTL_SERIAL_GET_BAUD_RATE,				$TA0("iOCTL_SERIAL_GET_BAUD_RATE")}
MNEMONIC	{IOCTL_SERIAL_GET_LINE_CONTROL,				$TA0("iOCTL_SERIAL_GET_LINE_CONTROL")}
MNEMONIC	{IOCTL_SERIAL_GET_CHARS,					$TA0("iOCTL_SERIAL_GET_CHARS")}
MNEMONIC	{IOCTL_SERIAL_SET_CHARS,					$TA0("iOCTL_SERIAL_SET_CHARS")}
MNEMONIC	{IOCTL_SERIAL_GET_HANDFLOW,					$TA0("iOCTL_SERIAL_GET_HANDFLOW")}
MNEMONIC	{IOCTL_SERIAL_SET_HANDFLOW,					$TA0("iOCTL_SERIAL_SET_HANDFLOW")}
MNEMONIC	{IOCTL_SERIAL_GET_MODEMSTATUS,				$TA0("iOCTL_SERIAL_GET_MODEMSTATUS")}
MNEMONIC	{IOCTL_SERIAL_GET_COMMSTATUS,				$TA0("iOCTL_SERIAL_GET_COMMSTATUS")}
MNEMONIC	{IOCTL_SERIAL_XOFF_COUNTER,					$TA0("iOCTL_SERIAL_XOFF_COUNTER")}
MNEMONIC	{IOCTL_SERIAL_GET_PROPERTIES,				$TA0("iOCTL_SERIAL_GET_PROPERTIES")}
MNEMONIC	{IOCTL_SERIAL_GET_DTRRTS,					$TA0("iOCTL_SERIAL_GET_DTRRTS")}

MNEMONIC	{IOCTL_SERIAL_LSRMST_INSERT,				$TA0("iOCTL_SERIAL_LSRMST_INSERT")}

MNEMONIC	{IOCTL_SERENUM_EXPOSE_HARDWARE,				$TA0("iOCTL_SERENUM_EXPOSE_HARDWARE")}
MNEMONIC	{IOCTL_SERENUM_REMOVE_HARDWARE,				$TA0("iOCTL_SERENUM_REMOVE_HARDWARE")}
MNEMONIC	{IOCTL_SERENUM_PORT_DESC,					$TA0("iOCTL_SERENUM_PORT_DESC")}
MNEMONIC	{IOCTL_SERENUM_GET_PORT_NAME,				$TA0("iOCTL_SERENUM_GET_PORT_NAME")}

MNEMONIC	{IOCTL_SERIAL_CONFIG_SIZE,					$TA0("iOCTL_SERIAL_CONFIG_SIZE")}
MNEMONIC	{IOCTL_SERIAL_GET_COMMCONFIG,				$TA0("iOCTL_SERIAL_GET_COMMCONFIG")}
MNEMONIC	{IOCTL_SERIAL_SET_COMMCONFIG,				$TA0("iOCTL_SERIAL_SET_COMMCONFIG")}

MNEMONIC	{IOCTL_SERIAL_GET_STATS,					$TA0("iOCTL_SERIAL_GET_STATS")}
MNEMONIC	{IOCTL_SERIAL_CLEAR_STATS,					$TA0("iOCTL_SERIAL_CLEAR_STATS")}
MNEMONIC	{IOCTL_SERIAL_GET_MODEM_CONTROL,			$TA0("iOCTL_SERIAL_GET_MODEM_CONTROL")}
MNEMONIC	{IOCTL_SERIAL_SET_MODEM_CONTROL,			$TA0("iOCTL_SERIAL_SET_MODEM_CONTROL")}
MNEMONIC	{IOCTL_SERIAL_SET_FIFO_CONTROL,				$TA0("iOCTL_SERIAL_SET_FIFO_CONTROL")}

MNEMONIC	{IOCTL_INTERNAL_SERENUM_REMOVE_SELF,		$TA0("iOCTL_INTERNAL_SERENUM_REMOVE_SELF")}

; ntddstor (w2k)

MNEMONIC	{IOCTL_STORAGE_CHECK_VERIFY,				$TA0("iOCTL_STORAGE_CHECK_VERIFY")}
MNEMONIC	{IOCTL_STORAGE_CHECK_VERIFY2,				$TA0("iOCTL_STORAGE_CHECK_VERIFY2")}
MNEMONIC	{IOCTL_STORAGE_MEDIA_REMOVAL,				$TA0("iOCTL_STORAGE_MEDIA_REMOVAL")}
MNEMONIC	{IOCTL_STORAGE_EJECT_MEDIA,					$TA0("iOCTL_STORAGE_EJECT_MEDIA")}
MNEMONIC	{IOCTL_STORAGE_LOAD_MEDIA,					$TA0("iOCTL_STORAGE_LOAD_MEDIA")}
MNEMONIC	{IOCTL_STORAGE_LOAD_MEDIA2,					$TA0("iOCTL_STORAGE_LOAD_MEDIA2")}
MNEMONIC	{IOCTL_STORAGE_RESERVE,						$TA0("iOCTL_STORAGE_RESERVE")}
MNEMONIC	{IOCTL_STORAGE_RELEASE,						$TA0("iOCTL_STORAGE_RELEASE")}
MNEMONIC	{IOCTL_STORAGE_FIND_NEW_DEVICES,			$TA0("iOCTL_STORAGE_FIND_NEW_DEVICES")}

MNEMONIC	{IOCTL_STORAGE_EJECTION_CONTROL,			$TA0("iOCTL_STORAGE_EJECTION_CONTROL")}
MNEMONIC	{IOCTL_STORAGE_MCN_CONTROL,					$TA0("iOCTL_STORAGE_MCN_CONTROL")}

MNEMONIC	{IOCTL_STORAGE_GET_MEDIA_TYPES,				$TA0("iOCTL_STORAGE_GET_MEDIA_TYPES")}
MNEMONIC	{IOCTL_STORAGE_GET_MEDIA_TYPES_EX,			$TA0("iOCTL_STORAGE_GET_MEDIA_TYPES_EX")}

MNEMONIC	{IOCTL_STORAGE_RESET_BUS,					$TA0("iOCTL_STORAGE_RESET_BUS")}
MNEMONIC	{IOCTL_STORAGE_RESET_DEVICE,				$TA0("iOCTL_STORAGE_RESET_DEVICE")}
MNEMONIC	{IOCTL_STORAGE_GET_DEVICE_NUMBER,			$TA0("iOCTL_STORAGE_GET_DEVICE_NUMBER")}

MNEMONIC	{IOCTL_STORAGE_PREDICT_FAILURE,				$TA0("iOCTL_STORAGE_PREDICT_FAILURE")}

MNEMONIC	{IOCTL_STORAGE_QUERY_PROPERTY,				$TA0("iOCTL_STORAGE_QUERY_PROPERTY")}

MNEMONIC	{OBSOLETE_IOCTL_STORAGE_RESET_BUS,			$TA0("oBSOLETE_IOCTL_STORAGE_RESET_BUS")}
MNEMONIC	{OBSOLETE_IOCTL_STORAGE_RESET_DEVICE,		$TA0("oBSOLETE_IOCTL_STORAGE_RESET_DEVICE")}


; ntifs (w2k)

MNEMONIC	{IOCTL_QUERY_DEVICE_POWER_STATE,			$TA0("iOCTL_QUERY_DEVICE_POWER_STATE")}
MNEMONIC	{IOCTL_SET_DEVICE_WAKE,						$TA0("iOCTL_SET_DEVICE_WAKE")}
MNEMONIC	{IOCTL_CANCEL_DEVICE_WAKE,					$TA0("iOCTL_CANCEL_DEVICE_WAKE")}

MNEMONIC	{FSCTL_REQUEST_OPLOCK_LEVEL_1,				$TA0("fSCTL_REQUEST_OPLOCK_LEVEL_1")}
MNEMONIC	{FSCTL_REQUEST_OPLOCK_LEVEL_2,				$TA0("fSCTL_REQUEST_OPLOCK_LEVEL_2")}
MNEMONIC	{FSCTL_REQUEST_BATCH_OPLOCK,				$TA0("fSCTL_REQUEST_BATCH_OPLOCK")}
MNEMONIC	{FSCTL_OPLOCK_BREAK_ACKNOWLEDGE,			$TA0("fSCTL_OPLOCK_BREAK_ACKNOWLEDGE")}
MNEMONIC	{FSCTL_OPBATCH_ACK_CLOSE_PENDING,			$TA0("fSCTL_OPBATCH_ACK_CLOSE_PENDING")}
MNEMONIC	{FSCTL_OPLOCK_BREAK_NOTIFY,					$TA0("fSCTL_OPLOCK_BREAK_NOTIFY")}
MNEMONIC	{FSCTL_LOCK_VOLUME,							$TA0("fSCTL_LOCK_VOLUME")}
MNEMONIC	{FSCTL_UNLOCK_VOLUME,						$TA0("fSCTL_UNLOCK_VOLUME")}
MNEMONIC	{FSCTL_DISMOUNT_VOLUME,						$TA0("fSCTL_DISMOUNT_VOLUME")}
MNEMONIC	{FSCTL_IS_VOLUME_MOUNTED,					$TA0("fSCTL_IS_VOLUME_MOUNTED")}
MNEMONIC	{FSCTL_IS_PATHNAME_VALID,					$TA0("fSCTL_IS_PATHNAME_VALID")}
MNEMONIC	{FSCTL_MARK_VOLUME_DIRTY,					$TA0("fSCTL_MARK_VOLUME_DIRTY")}
MNEMONIC	{FSCTL_QUERY_RETRIEVAL_POINTERS,			$TA0("fSCTL_QUERY_RETRIEVAL_POINTERS")}
MNEMONIC	{FSCTL_GET_COMPRESSION,						$TA0("fSCTL_GET_COMPRESSION")}
MNEMONIC	{FSCTL_SET_COMPRESSION,						$TA0("fSCTL_SET_COMPRESSION")}
MNEMONIC	{FSCTL_MARK_AS_SYSTEM_HIVE,					$TA0("fSCTL_MARK_AS_SYSTEM_HIVE")}
MNEMONIC	{FSCTL_OPLOCK_BREAK_ACK_NO_2,				$TA0("fSCTL_OPLOCK_BREAK_ACK_NO_2")}
MNEMONIC	{FSCTL_INVALIDATE_VOLUMES,					$TA0("fSCTL_INVALIDATE_VOLUMES")}
MNEMONIC	{FSCTL_QUERY_FAT_BPB,						$TA0("fSCTL_QUERY_FAT_BPB")}
MNEMONIC	{FSCTL_REQUEST_FILTER_OPLOCK,				$TA0("fSCTL_REQUEST_FILTER_OPLOCK")}
MNEMONIC	{FSCTL_FILESYSTEM_GET_STATISTICS,			$TA0("fSCTL_FILESYSTEM_GET_STATISTICS")}
MNEMONIC	{FSCTL_GET_NTFS_VOLUME_DATA,				$TA0("fSCTL_GET_NTFS_VOLUME_DATA")}
MNEMONIC	{FSCTL_GET_NTFS_FILE_RECORD,				$TA0("fSCTL_GET_NTFS_FILE_RECORD")}
MNEMONIC	{FSCTL_GET_VOLUME_BITMAP,					$TA0("fSCTL_GET_VOLUME_BITMAP")}
MNEMONIC	{FSCTL_GET_RETRIEVAL_POINTERS,				$TA0("fSCTL_GET_RETRIEVAL_POINTERS")}
MNEMONIC	{FSCTL_MOVE_FILE,							$TA0("fSCTL_MOVE_FILE")}
MNEMONIC	{FSCTL_IS_VOLUME_DIRTY,						$TA0("fSCTL_IS_VOLUME_DIRTY")}
MNEMONIC	{FSCTL_GET_HFS_INFORMATION,					$TA0("fSCTL_GET_HFS_INFORMATION")}
MNEMONIC	{FSCTL_ALLOW_EXTENDED_DASD_IO,				$TA0("fSCTL_ALLOW_EXTENDED_DASD_IO")}
MNEMONIC	{FSCTL_READ_PROPERTY_DATA,					$TA0("fSCTL_READ_PROPERTY_DATA")}
MNEMONIC	{FSCTL_WRITE_PROPERTY_DATA,					$TA0("fSCTL_WRITE_PROPERTY_DATA")}
MNEMONIC	{FSCTL_FIND_FILES_BY_SID,					$TA0("fSCTL_FIND_FILES_BY_SID")}
MNEMONIC	{FSCTL_DUMP_PROPERTY_DATA,					$TA0("fSCTL_DUMP_PROPERTY_DATA")}
MNEMONIC	{FSCTL_SET_OBJECT_ID,						$TA0("fSCTL_SET_OBJECT_ID")}
MNEMONIC	{FSCTL_GET_OBJECT_ID,						$TA0("fSCTL_GET_OBJECT_ID")}
MNEMONIC	{FSCTL_DELETE_OBJECT_ID,					$TA0("fSCTL_DELETE_OBJECT_ID")}
MNEMONIC	{FSCTL_SET_REPARSE_POINT,					$TA0("fSCTL_SET_REPARSE_POINT")}
MNEMONIC	{FSCTL_GET_REPARSE_POINT,					$TA0("fSCTL_GET_REPARSE_POINT")}
MNEMONIC	{FSCTL_DELETE_REPARSE_POINT,				$TA0("fSCTL_DELETE_REPARSE_POINT")}
MNEMONIC	{FSCTL_ENUM_USN_DATA,						$TA0("fSCTL_ENUM_USN_DATA")}
MNEMONIC	{FSCTL_SECURITY_ID_CHECK,					$TA0("fSCTL_SECURITY_ID_CHECK")}
MNEMONIC	{FSCTL_READ_USN_JOURNAL,					$TA0("fSCTL_READ_USN_JOURNAL")}
MNEMONIC	{FSCTL_SET_OBJECT_ID_EXTENDED,				$TA0("fSCTL_SET_OBJECT_ID_EXTENDED")}
MNEMONIC	{FSCTL_CREATE_OR_GET_OBJECT_ID,				$TA0("fSCTL_CREATE_OR_GET_OBJECT_ID")}
MNEMONIC	{FSCTL_SET_SPARSE,							$TA0("fSCTL_SET_SPARSE")}
MNEMONIC	{FSCTL_SET_ZERO_DATA,						$TA0("fSCTL_SET_ZERO_DATA")}
MNEMONIC	{FSCTL_QUERY_ALLOCATED_RANGES,				$TA0("fSCTL_QUERY_ALLOCATED_RANGES")}
MNEMONIC	{FSCTL_ENABLE_UPGRADE,						$TA0("fSCTL_ENABLE_UPGRADE")}
MNEMONIC	{FSCTL_SET_ENCRYPTION,						$TA0("fSCTL_SET_ENCRYPTION")}
MNEMONIC	{FSCTL_ENCRYPTION_FSCTL_IO,					$TA0("fSCTL_ENCRYPTION_FSCTL_IO")}
MNEMONIC	{FSCTL_WRITE_RAW_ENCRYPTED,					$TA0("fSCTL_WRITE_RAW_ENCRYPTED")}
MNEMONIC	{FSCTL_READ_RAW_ENCRYPTED,					$TA0("fSCTL_READ_RAW_ENCRYPTED")}
MNEMONIC	{FSCTL_CREATE_USN_JOURNAL,					$TA0("fSCTL_CREATE_USN_JOURNAL")}
MNEMONIC	{FSCTL_READ_FILE_USN_DATA,					$TA0("fSCTL_READ_FILE_USN_DATA")}
MNEMONIC	{FSCTL_WRITE_USN_CLOSE_RECORD,				$TA0("fSCTL_WRITE_USN_CLOSE_RECORD")}
MNEMONIC	{FSCTL_EXTEND_VOLUME,						$TA0("fSCTL_EXTEND_VOLUME")}
MNEMONIC	{FSCTL_QUERY_USN_JOURNAL,					$TA0("fSCTL_QUERY_USN_JOURNAL")}
MNEMONIC	{FSCTL_DELETE_USN_JOURNAL,					$TA0("fSCTL_DELETE_USN_JOURNAL")}
MNEMONIC	{FSCTL_MARK_HANDLE,							$TA0("fSCTL_MARK_HANDLE")}
MNEMONIC	{FSCTL_SIS_COPYFILE,						$TA0("fSCTL_SIS_COPYFILE")}
MNEMONIC	{FSCTL_SIS_LINK_FILES,						$TA0("fSCTL_SIS_LINK_FILES")}
MNEMONIC	{FSCTL_HSM_MSG,								$TA0("fSCTL_HSM_MSG")}
MNEMONIC	{FSCTL_NSS_CONTROL,							$TA0("fSCTL_NSS_CONTROL")}
MNEMONIC	{FSCTL_HSM_DATA,							$TA0("fSCTL_HSM_DATA")}
MNEMONIC	{FSCTL_RECALL_FILE,							$TA0("fSCTL_RECALL_FILE")}
MNEMONIC	{FSCTL_NSS_RCONTROL,						$TA0("fSCTL_NSS_RCONTROL")}

MNEMONIC	{FSCTL_PIPE_PEEK,							$TA0("fSCTL_PIPE_PEEK")}

MNEMONIC	{IOCTL_REDIR_QUERY_PATH,					$TA0("iOCTL_REDIR_QUERY_PATH")}

; ntddscsi (w2k)

MNEMONIC	{IOCTL_SCSI_PASS_THROUGH,					$TA0("iOCTL_SCSI_PASS_THROUGH")}
MNEMONIC	{IOCTL_SCSI_MINIPORT,						$TA0("iOCTL_SCSI_MINIPORT")}
MNEMONIC	{IOCTL_SCSI_GET_INQUIRY_DATA,				$TA0("iOCTL_SCSI_GET_INQUIRY_DATA")}
MNEMONIC	{IOCTL_SCSI_GET_CAPABILITIES,				$TA0("iOCTL_SCSI_GET_CAPABILITIES")}
MNEMONIC	{IOCTL_SCSI_PASS_THROUGH_DIRECT,			$TA0("iOCTL_SCSI_PASS_THROUGH_DIRECT")}
MNEMONIC	{IOCTL_SCSI_GET_ADDRESS,					$TA0("iOCTL_SCSI_GET_ADDRESS")}
MNEMONIC	{IOCTL_SCSI_RESCAN_BUS,						$TA0("iOCTL_SCSI_RESCAN_BUS")}
MNEMONIC	{IOCTL_SCSI_GET_DUMP_POINTERS,				$TA0("iOCTL_SCSI_GET_DUMP_POINTERS")}
MNEMONIC	{IOCTL_SCSI_FREE_DUMP_POINTERS,				$TA0("iOCTL_SCSI_FREE_DUMP_POINTERS")}
MNEMONIC	{IOCTL_IDE_PASS_THROUGH,					$TA0("iOCTL_IDE_PASS_THROUGH")}

; ntddtdi (w2k)

MNEMONIC	{IOCTL_TDI_ACCEPT,							$TA0("iOCTL_TDI_ACCEPT")}
MNEMONIC	{IOCTL_TDI_CONNECT,							$TA0("iOCTL_TDI_CONNECT")}
MNEMONIC	{IOCTL_TDI_DISCONNECT,						$TA0("iOCTL_TDI_DISCONNECT")}
MNEMONIC	{IOCTL_TDI_LISTEN,							$TA0("iOCTL_TDI_LISTEN")}
MNEMONIC	{IOCTL_TDI_QUERY_INFORMATION,				$TA0("iOCTL_TDI_QUERY_INFORMATION")}
MNEMONIC	{IOCTL_TDI_RECEIVE,							$TA0("iOCTL_TDI_RECEIVE")}
MNEMONIC	{IOCTL_TDI_RECEIVE_DATAGRAM,				$TA0("iOCTL_TDI_RECEIVE_DATAGRAM")}
MNEMONIC	{IOCTL_TDI_SEND,							$TA0("iOCTL_TDI_SEND")}
MNEMONIC	{IOCTL_TDI_SEND_DATAGRAM,					$TA0("iOCTL_TDI_SEND_DATAGRAM")}
MNEMONIC	{IOCTL_TDI_SET_EVENT_HANDLER,				$TA0("iOCTL_TDI_SET_EVENT_HANDLER")}
MNEMONIC	{IOCTL_TDI_SET_INFORMATION,					$TA0("iOCTL_TDI_SET_INFORMATION")}
MNEMONIC	{IOCTL_TDI_ASSOCIATE_ADDRESS,				$TA0("iOCTL_TDI_ASSOCIATE_ADDRESS")}
MNEMONIC	{IOCTL_TDI_DISASSOCIATE_ADDRESS,			$TA0("iOCTL_TDI_DISASSOCIATE_ADDRESS")}
MNEMONIC	{IOCTL_TDI_ACTION,							$TA0("iOCTL_TDI_ACTION")}

; ntddmou (w2k)

MNEMONIC	{IOCTL_MOUSE_QUERY_ATTRIBUTES,				$TA0("iOCTL_MOUSE_QUERY_ATTRIBUTES")}
MNEMONIC	{IOCTL_MOUSE_INSERT_DATA,					$TA0("iOCTL_MOUSE_INSERT_DATA")}
